package com.android.tools.idea.testing;

import org.jetbrains.annotations.NotNull;

/**
 * Do not edit. This class is generated by com.android.tools.idea.testing.TestProjectPathsGenerator.
 */
public final class TestProjectPaths {
  public static final String TEST_DATA_PATH = "tools/adt/idea/android/testData";
  public static final String ANDROIDX_SIMPLE = "projects/androidxSimple";
  public static final String ANDROID_LIBRARY_AS_TEST_DEPENDENCY = "projects/AndroidLibraryAsTestDependency";
  public static final String APK_SAN_ANGELES = "projects/apk/sanAngeles";
  public static final String APP_WITH_BUILDSRC = "projects/appWithBuildSrc";
  public static final String APP_WITH_LIB_WITH_SAMPLES = "projects/appWithLibWithSamples";
  public static final String APPLICATION_ID_SUFFIX = "projects/applicationIdSuffix";
  public static final String APPLICATION_ID_VARIANT_API = "projects/applicationIdViaVariantApi";
  public static final String APPLICATION_ID_VARIANT_API_BROKEN = "projects/applicationIdViaVariantApiBroken";
  public static final String APP_WITH_ACTIVITY_IN_LIB = "projects/appWithActivityInLib";

  public static final String BASIC = "projects/basic";
  public static final String NO_MODULES = "projects/projectWithNoModules";
  public static final String BUDDY_APKS = "projects/buddyApks";
  public static final String BUILD_ANALYZER_CHECK_ANALYZERS = "projects/buildAnalyzer/checkAnalyzers";
  public static final String BUILD_ANALYZER_CHECK_JETIFIER = "projects/buildAnalyzer/checkJetifier";
  public static final String COMPOSITE_BUILD = "projects/compositeBuild";
  public static final String BASIC_COMPOSITE_BUILD = "projects/basicCompositeBuild";
  public static final String DATA_BINDING_COMPILATION = "projects/dataBindingCompilation";
  public static final String DEPENDENT_MODULES = "projects/dependentModules";
  public static final String DEPENDENT_NATIVE_MODULES = "projects/dependentNativeModules";
  public static final String DYNAMIC_APP = "projects/dynamicApp";
  public static final String DYNAMIC_APP_WITH_VARIANTS = "projects/dynamicAppWithVariants";
  public static final String HELLO_JNI = "projects/helloJni";
  public static final String IMPORTING = "projects/importing";
  public static final String INSTANT_APP = "projects/instantApp";
  public static final String INSTANT_APP_LIBRARY_DEPENDENCY = "projects/instantAppLibraryDependency";
  public static final String INSTANT_APP_RESOURCE_HOST = "projects/instantAppResourceHost";
  public static final String INSTANT_APP_WITH_DYNAMIC_FEATURES = "projects/instantAppWithDynamicFeatures";
  public static final String INSTRUMENTATION_RUNNER = "projects/instrumentationRunner";
  public static final String INSTRUMENTATION_RUNNER_ANDROID_TEST_ORCHESTRATOR = "projects/instrumentationRunnerAndroidTestOrchestrator";
  public static final String KOTLIN_GRADLE_DSL = "projects/kotlinGradleDsl";
  public static final String KOTLIN_KAPT = "projects/kotlinKapt";
  public static final String LOCAL_AARS_AS_MODULES = "projects/localAarsAsModules";
  public static final String MANIFEST_CONFLICT_ATTRIBUTE = "projects/manifestConflict/attribute";
  public static final String MANIFEST_CONFLICT_BUILD_TYPE_AND_FLAVOR = "projects/manifestConflict/buildTypeAndFlavorConflict";
  public static final String MANIFEST_CONFLICT_MIN_SDK = "projects/manifestConflict/minSdk";
  public static final String MIGRATE_TO_ANDROID_X = "projects/migrateToAndroidX";
  public static final String MIGRATE_TO_ANDROID_X_KTS = "projects/migrateToAndroidXKTS";
  public static final String MIGRATE_TO_APP_COMPAT = "projects/migrateToAppCompat";
  public static final String MODULE_INFO_BOTH = "projects/moduleInfo/both";
  public static final String MODULE_INFO_FLAVORS = "projects/moduleInfo/flavors";
  public static final String MODULE_INFO_GRADLE_ONLY = "projects/moduleInfo/gradleOnly";
  public static final String MODULE_INFO_MANIFEST_ONLY = "projects/moduleInfo/manifestOnly";
  public static final String MOVE_WITH_RESOURCES = "projects/moveWithResources";
  public static final String MULTI_FEATURE = "projects/multiFeature";
  public static final String MULTIPLE_MODULE_DEPEND_ON_AAR = "projects/multipleModuleDependOnAar";
  public static final String NAMESPACES = "projects/namespaces";
  public static final String NAMESPACES_WITH_APPCOMPAT = "projects/namespaces_with_appcompat";
  public static final String NAVIGATION_EDITOR_BASIC = "projects/navigationEditor/basic";
  public static final String NAVIGATION_EDITOR_INCLUDE_FROM_LIB = "projects/navigationEditor/includeFromLib";
  public static final String NESTED_MODULE = "projects/nestedModule";
  public static final String NESTED_MULTI_FEATURE = "projects/nestedMultiFeature";
  public static final String NEW_SYNC_KOTLIN_TEST = "projects/newSyncKotlinTest";
  public static final String PLUGIN_IN_APP = "projects/pluginInApp";
  public static final String PRIVACY_SANDBOX_SDK_LIBRARY_AND_CONSUMER = "projects/privacySandboxSdk/libraryAndConsumer";
  public static final String PROJECT_WITH_APPAND_LIB = "projects/projectWithAppandLib";
  public static final String PROJECT_WITH_APP_AND_LIB_DEPENDENCY = "projects/projectWithAppAndLibDependency";
  public static final String PROJECT_WITH_APP_AND_LIB_DEPENDENCY_NO_LIB_MANIFEST = "projects/projectWithAppAndLibDependencyNoLibManifest";
  public static final String PSD_DEPENDENCY = "projects/psdDependency";
  public static final String PSD_PROJECT_DIR = "projects/psdProjectDir";
  public static final String PSD_SAMPLE_GROOVY = "projects/psdSample/Groovy";
  public static final String PSD_SAMPLE_KOTLIN = "projects/psdSample/Kotlin";
  public static final String PSD_VERSION_CATALOG_SAMPLE_GROOVY = "projects/simpleApplicationVersionCatalog";
  public static final String PSD_SAMPLE_REPO = "projects/psdSampleRepo";
  public static final String PSD_UPGRADE = "projects/psdUpgrade";
  public static final String PSD_VARIANT_COLLISIONS = "projects/psdVariantCollisions";
  public static final String REPO_FOR_SAMPLES_ARTIFACT_TEST = "projects/repoForSamplesArtifactTest";
  public static final String PURE_JAVA_PROJECT = "projects/pureJavaProject";
  public static final String RUN_APP_36 = "projects/RunApp36";
  public static final String RUN_CONFIG_ACTIVITY = "projects/runConfig/activity";
  public static final String RUN_CONFIG_ALIAS = "projects/runConfig/alias";
  public static final String RUN_CONFIG_DEFAULT = "projects/runConfig/default";
  public static final String RUN_CONFIG_ENABLED = "projects/runConfig/enabled";
  public static final String RUN_CONFIG_MANIFESTS = "projects/runConfig/manifests";
  public static final String RUN_CONFIG_RUNNER_ARGUMENTS = "projects/runConfig/runnerArguments";
  public static final String RUN_CONFIG_TV = "projects/runConfig/tv";
  public static final String RUN_CONFIG_UNDECLARED = "projects/runConfig/undeclared";
  public static final String RUN_CONFIG_WATCHFACE = "projects/runConfig/watchface";
  public static final String SCRIPTED_DIMENSIONS = "projects/scriptedDimensions";
  public static final String SIGNAPK_MULTIFLAVOR = "projects/signapk/multiflavor";
  public static final String SIGNAPK_NO_FLAVORS = "projects/signapk/no_flavors";
  public static final String SIMPLE_APPLICATION = "projects/simpleApplication";
  public static final String SIMPLE_APPLICATION_PLUGINS_DSL = "projects/simpleApplicationPluginsDsl";
  public static final String SIMPLE_APPLICATION_PLUGIN_MANAGEMENT_DSL = "projects/simpleApplicationPluginManagementDsl";
  public static final String SIMPLE_APPLICATION_VERSION_CATALOG = "projects/simpleApplicationVersionCatalog";
  public static final String SIMPLE_APPLICATION_WITH_DUPLICATES = "projects/simpleApplicationWithDuplicates";
  public static final String SIMPLE_APPLICATION_UNRESOLVED_DEPENDENCY = "projects/simpleApplicationUnresolvedDependency";
  public static final String SIMPLE_APP_WITH_OLDER_SUPPORT_LIB = "projects/simpleAppWithOlderSupportLib";
  public static final String SPLIT_BUILD_FILES = "projects/splitBuildFiles";
  public static final String SYNC_MULTIPROJECT = "projects/sync/multiproject";
  public static final String TEST_ARTIFACTS_ILLEGAL_IDENTIFIERS = "projects/testArtifacts/illegalIdentifiers";
  public static final String TEST_ARTIFACTS_KOTLIN = "projects/testArtifacts/kotlin";
  public static final String TEST_ARTIFACTS_KOTLIN_MULTIPLATFORM = "projects/testArtifacts/kotlinMultiplatform";
  public static final String TEST_ARTIFACTS_LINT = "projects/testArtifacts/lintTests";
  public static final String TEST_ARTIFACTS_LINT_DESUGARING_ANDROID_TEST = "projects/testArtifacts/lintTestsDesugaring";
  public static final String TEST_ARTIFACTS_MULTIPROJECT = "projects/testArtifacts/multiproject";
  public static final String TEST_FIXTURES = "projects/testFixtures";
  public static final String TEST_ONLY_MODULE = "projects/testOnlyModule";
  public static final String TEST_RESOURCES = "projects/testResources";
  public static final String TRANSITIVE_DEPENDENCIES = "projects/transitiveDependencies";
  public static final String UI_TOOLING_DEPENDENCY = "projects/uiToolingDependency";
  public static final String UNIT_TESTING = "projects/unitTesting";
  public static final String UNUSED_RESOURCES_GROOVY = "projects/unusedResources";
  public static final String UNUSED_RESOURCES_KTS = "projects/unusedResourcesKotlin";
  public static final String UNUSED_RESOURCES_MULTI_MODULE = "projects/unusedResourcesMultiModule";
  public static final String WEAR_WATCHFACE = "projects/wearWatchFace";
  public static final String WITH_ERRORS_SIMPLE_APPLICATION_MISSING_EXPORT = "projects/withErrors/simpleApplicationMissingExport";
  public static final String WITH_ERRORS_SIMPLE_APPLICATION_MULTIPLE_ERRORS = "projects/withErrors/simpleApplicationMultipleErrors";
}
